Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class errorViewer

    java.lang.Object
      org.makumba.devel.LineViewer
          org.makumba.devel.errorViewer

All Implemented Interfaces:
  SourceViewer

    public class errorViewer

extends LineViewer

the error viewer. To be used from TagExceptionServlet.

Version:
  $Id: errorViewer.java 3441 2008-12-23 00:44:30Z rosso_nero $
Author:
  Stefan Baebler, Rudolf Mayer

Field Summary
`(package private) Pattern[]` | `patternLineNumbers`

Fields inherited from class org.makumba.devel.LineViewer
`caughtError, codeBackgroundStyle, contextPath, dir, hideLineNumbers, importedClasses, importedPackages, jspClasspath, jspSourceViewExtension, logicPath, PARAM_HIDE_LINES, printHeaderFooter, printLineNumbers, reader, realPath, request, searchCompiledJSPClasses, searchJavaClasses, searchJSPPages, searchMDD, servletPath, title, virtualPath`

Constructor Summary
`errorViewer(HttpServletRequest request, ServletContext servletContext, String title, String body, String hiddenBody, boolean printHeaderFooter)`

Method Summary
`Class<?>` | `findClassSimple(String token)` Searches for Java Classes with the given name FIXME: still needed?
`void` | `footer(PrintWriter pw)` Write the page footer to the given writer.
`static void` | `main(String[] args)`
`String` | `parseLine(String s)` Processes one line of code, and adds links for MDDs JSP pages Java Classes from JSP pages generated Java classes Subclasses that want to provide any additional formatting (syntax highlighting, etc) should extend this method, apply their formatting and before/afterwards call this method.

Methods inherited from class org.makumba.devel.LineViewer
`addImportedPackages, findClass, findCompiledJSP, findPage, formatClassLink, formatClassLink, formatJSPLink, formatMakumbaLink, formatMDDLink, formatSunTaglibLink, getDirectory, getLineTag, getLineTokenizer, getReader, htmlEscape, intro, parseText, printFileRelations, printLine, printPageBegin, printPageBeginAdditional, printPageEnd, printVersionControlLink, readFromURL, setSearchLevels, writeAdditionalLinks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### patternLineNumbers

    Pattern[] patternLineNumbers

Constructor Detail

### errorViewer

    public errorViewer(HttpServletRequest request,
                       ServletContext servletContext,
                       String title,
                       String body,
                       String hiddenBody,
                       boolean printHeaderFooter)
                throws IOException

Throws:
  `IOException`

Method Detail

### parseLine

    public String parseLine(String s)

  Description copied from class: `LineViewer`
  Processes one line of code, and adds links for
  - MDDs
  - JSP pages
  - Java Classes
  - from JSP pages generated Java classes
  Subclasses that want to provide any additional formatting (syntax highlighting, etc) should extend this method, apply their formatting and before/afterwards call this method. This method is rather time-consuming, and subclasses interested in providing links just to a part of the above should use the `setSearchLevels` method to specify for what types of files are searched for.

  Overrides:
    `parseLine` in class `LineViewer`
  Parameters:
    `s` - the unformatted code line.
  Returns:
    The formatted code line.

### findClassSimple

    public Class<?> findClassSimple(String token)

  Description copied from class: `LineViewer`
  Searches for Java Classes with the given name FIXME: still needed?

  Overrides:
    `findClassSimple` in class `LineViewer`
  Parameters:
    `token` -
  Returns:

### footer

    public void footer(PrintWriter pw)
                throws IOException

  Description copied from class: `LineViewer`
  Write the page footer to the given writer.

  Overrides:
    `footer` in class `LineViewer`
  Throws:
    `IOException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20